
// Hilfs Funktion fuer Threshold
function buildThresholdList(startPoint, numSteps) {
    var thresholds = [];

    for (var i = startPoint; i <= numSteps; i++) {
        var ratio = i / numSteps;
        thresholds.push(ratio);
    }

    return thresholds;
}

var callback = function(entries, observer) {
    entries.forEach(function(entry) {
	var isAbove = entry.boundingClientRect.y < entry.rootBounds.y;
      if (entry.isIntersecting) {
	  entry.target.classList.remove('pause');
	  //console.log('isIntersecting:' + entry.intersectionRatio + ' - isAbove=' +isAbove + ' - time=' + entry.time );
	  targetJQuery=jQuery(entry.target);
	  if(targetJQuery.data('ig-progress-function')){
	      //https://github.com/PixelsCommander/requestIdleCallback-polyfill
	      // Hat muehe in IE/Edge
	      /*
	      window.requestIdleCallback( function() {
		  console.log('call:' + targetJQuery.data('ig-animation-name'));
		  window[targetJQuery.data('ig-animation-name')](entry.target);
		  });*/
	      window[targetJQuery.data('ig-progress-function')](entry.target);
	  }
      } else {
	  //console.log('NO isIntersecting- isAbove=' +isAbove + ' - time=' + entry.time);
      }

	//jQuery(entry).addClass('fadeInUpBig')
    });
};

var options = {
    root: null,
    rootMargin: '50px 0px 0px 0px',
    threshold: [0.0]
};

var observer = new IntersectionObserver( callback, options);

jQuery('.intersectionObserver').each( function() {observer.observe(this);});


//options.rootMargin='50px 0px -100px 0px';
//options.threshold=[0.25];
//var observer50 = new IntersectionObserver( callback, options);
//jQuery('.ig-animation-50').each( function() {observer50.observe(this);});
